package com.qryord.project.master.modelKind.service.impl;

import com.qryord.common.utils.DateUtils;
import com.qryord.common.utils.text.Convert;
import com.qryord.project.master.modelKind.domain.ModelKind;
import com.qryord.project.master.modelKind.mapper.ModelKindMapper;
import com.qryord.project.master.modelKind.service.IModelKindService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商品型号分类Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-30
 */
@Service
public class ModelKindServiceImpl implements IModelKindService
{
    @Autowired
    private ModelKindMapper mModelKindMapper;

    /**
     * 查询商品型号分类
     * 
     * @param id 商品型号分类主键
     * @return 商品型号分类
     */
    @Override
    public ModelKind selectModelKindById(Long id)
    {
        return mModelKindMapper.selectModelKindById(id);
    }

    /**
     * 查询商品型号分类列表
     * 
     * @param mModelKind 商品型号分类
     * @return 商品型号分类
     */
    @Override
    public List<ModelKind> selectModelKindList(ModelKind mModelKind)
    {
        return mModelKindMapper.selectModelKindList(mModelKind);
    }

    /**
     * 新增商品型号分类
     * 
     * @param mModelKind 商品型号分类
     * @return 结果
     */
    @Override
    public int insertModelKind(ModelKind mModelKind)
    {
        mModelKind.setCreateTime(DateUtils.getNowDate());
        return mModelKindMapper.insertModelKind(mModelKind);
    }

    /**
     * 修改商品型号分类
     * 
     * @param mModelKind 商品型号分类
     * @return 结果
     */
    @Override
    public int updateModelKind(ModelKind mModelKind)
    {
        mModelKind.setUpdateTime(DateUtils.getNowDate());
        return mModelKindMapper.updateModelKind(mModelKind);
    }

    /**
     * 批量删除商品型号分类
     * 
     * @param ids 需要删除的商品型号分类主键
     * @return 结果
     */
    @Override
    public int deleteModelKindByIds(String ids)
    {
        return mModelKindMapper.deleteModelKindByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除商品型号分类信息
     * 
     * @param id 商品型号分类主键
     * @return 结果
     */
    @Override
    public int deleteModelKindById(Long id)
    {
        return mModelKindMapper.deleteModelKindById(id);
    }
}
